petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDSGetDiscretization

Returns the discretization object for the given field

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetDiscretization(PetscDS prob, PetscInt f, PetscObject *disc)

Not collective

### Input Parameters

| prob | - The PetscDS object
| f | - The field number

### Output Parameter

disc -The discretization object

### See Also

PetscDSSetDiscretization(), PetscDSAddDiscretization(), PetscDSGetBdDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

Level:beginner
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages